Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/list

List postings

Gets a list of postings for the mandate

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
fromDatestringoptional
toDatestringoptional
reversedbooleanoptional
committedbooleanoptional
costCenterRegionintegeroptional

minimum: 1

maximum: 9

A stringified json object representing a property filter

minItems: 1

maxItems: 100

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "postings": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "reverse": true,
      "number": 1,
      "receiptDate": "string",
      "deliveryDate": "string",
      "receiptNumber": "string",
      "receiptFile": "string",
      "receiptFileName": "string",
      "text": "string",
      "amount": 1,
      "debitAccount": 1,
      "creditAccount": 1,
      "taxCode": "string",
      "taxAmount": 1,
      "taxDebitAccount": 1,
      "taxCreditAccount": 1,
      "costCenter1": 1,
      "costCenter2": 1,
      "committedAt": "2026-06-15T22:30:00Z",
      "committedBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      },
      "source": "expense",
      "sourceId": "000000000000000000000001",
      "isGross": true,
      "canDelete": true
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}